Skip to main content

Get numbering sequences

GET 

/sites/:siteId/numberingSequences

Returns the numbering sequences configured for a site

Request​

Path Parameters

    siteId stringrequired

    Site Identifier

Query Parameters

    limit string

    Limit Results

    Default value: 10
    next string

    Next page of results token

Responses​

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    next string

    Next page of results token

    numberingSequences

    object[]

    required

    List of numbering sequences

  • Array [

  • attributeKey stringrequired

    Attribute key where generated values are stored

    pattern stringrequired

    Number format using supported tokens such as {YEAR} and {SEQUENCE}

    Example: CONTRACT-{YEAR}-{SEQUENCE}
    startAt int64required

    First sequence number allocated for a new period

    Possible values: >= 1

    Example: 1
    padding integerrequired

    Minimum width of the generated sequence number, padded with leading zeroes

    Possible values: >= 1

    Example: 5
    reset NumberingSequenceReset (string)required

    Frequency at which the sequence restarts at startAt

    Possible values: [NONE, YEARLY]

    timezone string

    IANA timezone used to determine the active period; defaults to UTC

    Default value: UTC
    Example: America/Winnipeg
    currentPeriod stringnullable

    Active sequence period, or null if no number has been allocated

    Example: 2026
    currentSequence int64nullable

    Most recently allocated sequence number, or null if none has been allocated

    Example: 2
    lastValue stringnullable

    Most recently generated attribute value, or null if none has been allocated

    Example: CONTRACT-2026-00002
  • ]

Loading...